Bug 473309 - gforth license should be GPLv3+, not GPLv2+
gforth license should be GPLv3+, not GPLv2+
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gforth (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-27 11:33 EST by Horst H. von Brand
Modified: 2018-04-11 03:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-30 22:05:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2008-11-27 11:33:02 EST
Description of problem:
Just noticed the release announcement of gforth-0.7.0, and looked at the package in Fedora. The announcement (and the source code) say the license is GPLv3+, the package claims GPLv2+.

Version-Release number of selected component (if applicable):
gforth-0.7.0-1.fc9.x86_64

How reproducible:
Always (I presume)

Steps to Reproduce:
1. yum install gforth
2. yum info gforth | grep License
3. grep Version /usr/share/doc/gforth-0.7.0/COPYING | head -1
  
Actual results:
License    : GPLv2+
                       Version 3, 29 June 2007

Expected results:
Matching versions ;-)

Additional info:
Comment 1 Matěj Cepl 2008-11-28 14:45:03 EST
There is nothing to triage here.

Switching to ASSIGNED so that developers have responsibility to do whatever they want to do with it.
Comment 2 Fedora Update System 2008-11-28 15:02:23 EST
gforth-0.7.0-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/gforth-0.7.0-2.fc9
Comment 3 Fedora Update System 2008-11-28 15:03:26 EST
gforth-0.7.0-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gforth-0.7.0-2.fc10
Comment 4 Horst H. von Brand 2008-11-28 22:51:47 EST
What about rawhide?
Comment 5 Gérard Milmeister 2008-11-29 03:57:49 EST
rawhide is also updated
Comment 6 Horst H. von Brand 2008-11-30 22:05:15 EST
So this is fixed, and the bug should be closed.
Comment 7 Fedora Update System 2008-12-02 20:13:46 EST
gforth-0.7.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-12-02 20:24:12 EST
gforth-0.7.0-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.